Entity Transfers (Banking Connectivity)
Get Entity Transfer Status (Banking Connectivity)
Retrieve the current status of a bank transfer initiated through an account
GET
/
banking
/
transfers
/
{transfer_id}
Get Entity Transfer Status (Banking Connectivity)
curl --request GET \
--url https://api-sandbox.y.uno/v1/banking/transfers/{transfer_id} \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/banking/transfers/{transfer_id}"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/banking/transfers/{transfer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.y.uno/v1/banking/transfers/{transfer_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"private-secret-key: <api-key>",
"public-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.y.uno/v1/banking/transfers/{transfer_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("public-api-key", "<api-key>")
req.Header.Add("private-secret-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.y.uno/v1/banking/transfers/{transfer_id}")
.header("public-api-key", "<api-key>")
.header("private-secret-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.y.uno/v1/banking/transfers/{transfer_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["public-api-key"] = '<api-key>'
request["private-secret-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "bb0e8400-e29b-41d4-a716-446655440000",
"source_account_id": "aa0e8400-e29b-41d4-a716-446655440000",
"destination_account_id": null,
"account_id": "550e8400-e29b-41d4-a716-446655440000",
"merchant_transfer_id": "merchant_txn_12345",
"provider": {
"account_id": "col_bank_account_789",
"transfer_id": "col_transfer_xyz123"
},
"status": "PENDING",
"transfer_type": "OUTGOING",
"destination_account": {
"account_number_last_4": "3210",
"routing_number": "987654321",
"iban": null,
"bsb": null,
"swift": null,
"sort_code": null,
"account_name": "Jane Smith",
"bank_name": "Chase Bank"
},
"amount": {
"value": 1000,
"currency": "USD"
},
"payment_rail": "ACH_STANDARD",
"description": "Payment to vendor",
"created_at": "2026-02-01T10:15:00Z",
"updated_at": "2026-02-01T10:15:00Z"
}
Retrieve the current status and details of a transfer. See Transfer statuses for the full status lifecycle.
Path Parameters
The id of the transfer obtained from Initiate Entity Transfer (UUID, 36 chars).
Response
Was this page helpful?
⌘I
Get Entity Transfer Status (Banking Connectivity)
curl --request GET \
--url https://api-sandbox.y.uno/v1/banking/transfers/{transfer_id} \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/banking/transfers/{transfer_id}"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/banking/transfers/{transfer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.y.uno/v1/banking/transfers/{transfer_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"private-secret-key: <api-key>",
"public-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.y.uno/v1/banking/transfers/{transfer_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("public-api-key", "<api-key>")
req.Header.Add("private-secret-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.y.uno/v1/banking/transfers/{transfer_id}")
.header("public-api-key", "<api-key>")
.header("private-secret-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.y.uno/v1/banking/transfers/{transfer_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["public-api-key"] = '<api-key>'
request["private-secret-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "bb0e8400-e29b-41d4-a716-446655440000",
"source_account_id": "aa0e8400-e29b-41d4-a716-446655440000",
"destination_account_id": null,
"account_id": "550e8400-e29b-41d4-a716-446655440000",
"merchant_transfer_id": "merchant_txn_12345",
"provider": {
"account_id": "col_bank_account_789",
"transfer_id": "col_transfer_xyz123"
},
"status": "PENDING",
"transfer_type": "OUTGOING",
"destination_account": {
"account_number_last_4": "3210",
"routing_number": "987654321",
"iban": null,
"bsb": null,
"swift": null,
"sort_code": null,
"account_name": "Jane Smith",
"bank_name": "Chase Bank"
},
"amount": {
"value": 1000,
"currency": "USD"
},
"payment_rail": "ACH_STANDARD",
"description": "Payment to vendor",
"created_at": "2026-02-01T10:15:00Z",
"updated_at": "2026-02-01T10:15:00Z"
}